## pjproject 2.4.5~dfsg

=== debian/changelog ===
pjproject (2.4.5~dfsg-4build1) yakkety; urgency=medium

  * No-change rebuild for ffmpeg soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 May 2016 21:20:43 +0000

pjproject (2.4.5~dfsg-4) unstable; urgency=medium

  * Fix avoid build-depending on libv4l-dev on the Hurd:
    + Adapt symbols.
    + Resolve libpjproject-dev dependencies related to linked libraries
      during build.
    + Build-depend on d-shlibs.
  * Modernize Vcs-* field URLs:
    + Use https protocol.
    + Use cgit viewer.
  * Build-depend unversioned on debhelper: Needed version satisfied even
    in oldstable.
  * Add lintian override regarding debhelper 9.
  * Declare compliance with Debian Policy 3.9.7.
  * Update symbols file (affects only optional symbols).
  * Fix stop have libpjproject-dev depend on libx264-dev: Seems unused.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 01 Apr 2016 15:03:42 +0200

pjproject (2.4.5~dfsg-3) unstable; urgency=medium

  * Update symbois.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Mar 2016 19:22:31 +0100

pjproject (2.4.5~dfsg-2) unstable; urgency=medium

  * Move packaging to Debian VoIP team (with Tzafrir's consent).
    Add myself as uploader.
  * Use pkgkde-symbolshelper. Build-depend on pkg-kde-tools.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 25 Mar 2016 17:09:28 +0100

pjproject (2.4.5~dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ upstream ]
  * New release(s).
    + Use the OpenSSL RNG if available, instead of via SRTP.
      Closes: Bug#793972.
    + Support compilation with OpenSSL without OpenSSLv3 support.
      Closes: Bug#805082. Thanks to Peter Green.

  [ Tzafrir Cohen ]
  * Fix add Files section for bar-descriptor.xml to debian/copyright.
    Closes: #793051. Thanks to Thorsten Alteholz.
  * Move arch-dependent headers to a triplet subdir.
    Closes: #793097. Thanks to Jakub Wilk.
  * Bump soname for libpjsua2: Add C++ transitional v5 suffix.
    Closes: Bug#793094. Thanks to Jakub Wilk and Simon McVittie.
  * Replace deprecated FFmpeg API.
    Closes: Bug#803855, #801535. Thanks to Andreas Cadhalpun.
  * Copy -dev build deps to deps of -dev package.
    Closes: #795825, #801535. Thanks to Julien Cristau, Simon McVittie
    and Andreas Beckmann.

  [ Jeremy Lainé ]
  * Reduce library linkage.
    Closes: Bug#793141. Thanks to James Cloos.

  [ Jonas Smedegaard ]
  * Fix typo in long descriptions.
  * Build-depend on virtual libsrtp-dev (not libsrtp0-dev) to ease
    pending transition.
  * Fix have libpjproject-dev depend on libpjsua2-2v5 (not libpjsua2-2).
  * Fix add version mangling hint to watch file.
  * Fix strip debian revision from symbols files.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 21 Mar 2016 11:42:57 +0100

pjproject (2.4~dfsg-1) unstable; urgency=low

  * New upstream release: now an upstream version (Closes: #725326).
    - Update symbols for version 2.3, 2.4
    - We use upstream source. No need for the README
    - rules: config_site moved
    - CODEC_ID_* changed to AV_CODEC_ID_*
    - Extra library: pjsua2 (libpjsua2-2. Package libpjsua2 is pjsua).
  * -dev package: depend explicitly on libsrtp0-dev due to -lsrtp in
    the pkg-config file.
  * rules: run 'make dep' at build time.
  * rules: 'build' not cnfused by directory 'build'
  * Enable opencore-amr codec support
  * Do enable IPv6 support in config_site (Closes: #787964).
  * README.source: we use git-dpm
  * Do enable video
  * compat level 9
  * multi-arch support
    - control: packages pre-depend on multi-arch
  * Remove offending build flags from pkgconfig file (lintian).
  * A disabled tests target
  * extra files to remove after tests
  * Reduce number of libraries linked with pjlib-util
  * copyright: Fix syntax (gsm)
  * Remove video libs dependency for pj-utils and pjnath
  * package python-pjproject (Closes: #768578)
    - Depend on python-dev
  * Standards version 3.9.6 (no change needed)
  * copyright: Don't use '[]' wildcards

 -- Tzafrir Cohen <tzafrir@debian.org>  Sun, 28 Jun 2015 23:53:29 +0300

=== debian/control ===
Source: pjproject
Section: comm
Priority: optional
Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>,
 Jonas Smedegaard <dr@jones.dk>,
 Tzafrir Cohen <tzafrir@debian.org>
Build-Depends:
 autotools-dev,
 debhelper,
 dh-autoreconf,
 dh-python,
 d-shlibs,
 libavcodec-dev,
 libavdevice-dev,
 libavformat-dev,
 libavutil-dev,
 libgsm1-dev,
 libopencore-amrnb-dev,
 libopencore-amrwb-dev,
 libsdl2-dev,
 libspeex-dev, libspeexdsp-dev,
 libsrtp-dev,
 libssl-dev,
 libswscale-dev,
 libv4l-dev [!hurd-any],
 libx264-dev,
 pkg-kde-tools,
 portaudio19-dev,
 python-dev,
 uuid-dev
Standards-Version: 3.9.7
Homepage: http://www.pjsip.org/
Vcs-Git: https://anonscm.debian.org/git/pkg-voip/pjproject.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/pjproject.git

Package: libpjlib-util2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: PJ Project - helper utilities
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes helper utilities for the PJ Project libraries.

Package: libpjmedia-audiodev2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: PJ Project - Audio devices
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes an audio devices handling library.

Package: libpjmedia-codec2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: PJ Project - Multimedia codecs handling
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes a multimedia codecs handling library.

Package: libpjmedia-videodev2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: SIP handling library - video devices
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes a video devices handling library.

Package: libpjmedia2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: PJ Project - VoIP media
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes a VoIP media handling library.

Package: libpjnath2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: PJ Project - NAT handling
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes a NAT handling library.

Package: libpjsip-simple2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: PJ Project - SIP SIMPLE instant messaging
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes a SIP SIMPLE Instant Messaging library.

Package: libpjsip-ua2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: SIP handling library - SIP user agent library
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes a SIP user agent handling library

Package: libpjsip2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: PJ Project - SIP handling library
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes a SIP handling library.

Package: libpjsua2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: PJ Project - Basic VoIP client library
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes a framework for a VoIP client (pjsua)

Package: libpjsua2-2v5
Architecture: any
Multi-Arch: same
Breaks: libpjsua2-2
Replaces: libpjsua2-2
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: PJ Project - Basic VoIP client library
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes version 2 of a framework for a VoIP client (pjsua2).

Package: libpj2
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: PJ Project - PJProject core libraries
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes the PJ Project core libraries.

Package: libpjproject-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}, ${devlibs:Depends},
 libpjlib-util2 (= ${binary:Version}),
 libpjmedia-audiodev2 (= ${binary:Version}),
 libpjmedia-codec2 (= ${binary:Version}),
 libpjmedia-videodev2 (= ${binary:Version}),
 libpjmedia2 (= ${binary:Version}),
 libpjnath2 (= ${binary:Version}),
 libpjsip-simple2 (= ${binary:Version}),
 libpjsip-ua2 (= ${binary:Version}),
 libpjsip2 (= ${binary:Version}),
 libpjsua2 (= ${binary:Version}),
 libpjsua2-2v5 (= ${binary:Version}),
 libpj2 (= ${binary:Version})
Description: PJ Project - development headers
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes the development headers for PJ Project.

Package: python-pjproject
Architecture: any
Multi-Arch: same
Section: python
Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
Description: PJ Project - Python bindings
 PJSIP (a.k.a PJProject) is a multimedia communication library written
 in C language implementing standard based protocols such as SIP, SDP,
 RTP, STUN, TURN, and ICE. It combines signaling protocol (SIP) with rich
 multimedia framework and NAT traversal functionality into high level API
 that is portable and suitable for almost any type of systems ranging
 from desktops, embedded systems, to mobile handsets.
 .
 This package includes the Python bindings.

=== debian/rules ===
#!/usr/bin/make -f

export CFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
# export _CXXFLAGS includes $(_CFLAGS)
#CXXFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CXXFLAGS)
export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)

pybuild = pybuild -d pjsip-apps/src/python --pyver 2.7

# FIXME: the explicit and duplicate 'build' target is because of the
# existing directory 'build'. .PHONY doesn't seem to be good enough with
# the wildcard target. Any better way?
%:
	dh $@ --with autotools_dev,python2,pkgkde_symbolshelper
build:
	dh $@ --with autotools_dev,python2,pkgkde_symbolshelper

# In case it would be needed:
#override_dh_autoreconf:
#	dh_autoreconf autoconf aconfigure.ac >aconfigure

override_dh_auto_clean:
	# Handle the case where the source tree is not configured.
	if test -f build.mak; then make distclean; fi
	rm -rf .pybuild
	# left-overs from the tests:
	find tests/pjsua/ -name \*.pyc | xargs --no-run-if-empty rm
	rm -rf tests/pjsua/logs/ tests/pjsua/wavs/

override_dh_auto_configure:
	cp debian/config_site.h pjlib/include/pj/
ifneq (,$(wildcard third-party/ilbc/iLBC_decode.c))
	# Sanity check for one of the third party libraries we need to
	# remove from the source tree
	@echo "iLBC was not removed. Exiting"; exit 1
endif
	dh_auto_configure -- --enable-shared \
		--disable-g7221-codec --disable-ilbc-codec --disable-resample \
		--with-external-gsm --with-external-speex --with-external-pa \
		--with-external-srtp --enable-video

override_dh_auto_build:
	dh_auto_build -- dep all
	$(pybuild)

# selftest target takes too long. Parts of it may also require hardware.
# Don't enable it by default. Allow running it manually.
#override_dh_auto_test:
run-tests:
	LD_LIBRARY_PATH=`echo $$PWD/*/lib | tr ' ' :` make selftest

PC_FILE=$(CURDIR)/debian/tmp/usr/lib/*/pkgconfig/libpjproject.pc
pythn_mod=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages/_pjsua.so
headers_names=m_auto.h os_auto.h
headers_sub_dir=pj/compat
headers_base=$(CURDIR)/debian/tmp/usr/include
headers_dir=$(headers_base)/$(headers_sub_dir)
headers=$(headers_names:%=$(headers_dir)/%)
override_dh_auto_install:
	dh_auto_install
	# Disable it for now. This will wait (and be done properly) in
	# later versions:
	$(pybuild) --install
	ma=`dpkg-architecture -qDEB_BUILD_MULTIARCH`; \
	  new_name=`echo $(pythn_mod) | sed -e "s|\.so$$|.$$ma&|"`; \
	  mv $(pythn_mod) $$new_name
	# FIXME: the proper fix is in the generation of libpjproject.pc.in:
	# PJ_INSTALL_CXXFLAGS (which is basically CFLAGS) should not be used
	# as-is. Maybe it should just be avoided and a hand-crafted set
	# of build flags should be used. But for now let's edit out harmful
	# flags:
	sed -i \
		-e "s|$$CFLAGS||" -e "s|$$CPPFLAGS||" -e 's|-fPIC||' \
	       	$(PC_FILE)
	# Some headers are architecture-dependent. For now, move them manually:
	ma=`dpkg-architecture -qDEB_BUILD_MULTIARCH`; \
	  new_dir=$(headers_base)/$$ma/$(headers_sub_dir); \
	  mkdir -p $$new_dir; \
	  mv $(headers) $$new_dir/

override_dh_shlibdeps:
	dh_shlibdeps
	d-devlibdeps \
	  --override 's/libopencore-\(amr[nw]b\)[0-9]\+-dev/libopencore-\1-dev/' \
	  --override 's/libSDL2-[0-9.-]\+-dev/libsdl2-dev/' \
	  --override 's/lib\(avcodec\|avformat\|avutil\|swscale\)-ffmpeg[0-9]\+-dev/lib\1-dev/' \
	  --override 's/libpj\(\|lib-util\|media\(\|-audiodev\|-codec\|-videodev\)\|nath\|sip\(\|-simple\|-ua\)\|sua\)2-dev/libpjproject-dev/' \
	  --override 's/libportaudio2-dev/portaudio19-dev/' \
	  --override 's/libspeexdsp1-dev/libspeexdsp-dev/' \
	  --override 's/libv4l2-0-dev/libv4l-dev/' \
	  --override 's/libsrtp0/libsrtp/' \
	  debian/libpjproject-dev.substvars debian/lib*/usr/lib/*/lib*.so.*

.PHONY: build

## pjproject 2.5.5~dfsg

=== debian/changelog ===
pjproject (2.5.5~dfsg-6+deb9u8) stretch-security; urgency=medium

  * Non-maintainer upload by the LTS Security Team.
  * Backport fixes for
     - CVE-2022-23537 Buffer overread is possible when parsing a specially
       crafted STUN message.
     - CVE-2022-23547 Possible buffer overread when parsing a certain STUN
       message.

 -- Tobias Frost <tobi@debian.org>  Wed, 18 Jan 2023 16:43:30 +0100

pjproject (2.5.5~dfsg-6+deb9u7) stretch-security; urgency=high

  * Non-maintainer upload by the ELTS team.
  * Fix CVE-2022-39244:
    PJSIP is a free and open source multimedia communication library written in
    C. The PJSIP parser, PJMEDIA RTP decoder, and PJMEDIA SDP parser are
    affeced by a buffer overflow vulnerability. Users connecting to untrusted
    clients are at risk.

 -- Markus Koschany <apo@debian.org>  Wed, 26 Oct 2022 14:20:31 +0200

pjproject (2.5.5~dfsg-6+deb9u6) stretch; urgency=high

  * Non-maintainer upload by the Debian ELTS Team.
  * CVE-2022-31031: Prevent a stack buffer overflow vulnerability by setting a
    maximum attribute count.

 -- Chris Lamb <lamby@debian.org>  Fri, 15 Jul 2022 13:03:50 +0100

pjproject (2.5.5~dfsg-6+deb9u5) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2022-24763, CVE-2022-24792, CVE-2022-24793

 -- Abhijith PA <abhijith@debian.org>  Sun, 29 May 2022 22:50:20 +0530

pjproject (2.5.5~dfsg-6+deb9u4) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Regression fix for CVE-2022-23608

 -- Abhijith PA <abhijith@debian.org>  Thu, 31 Mar 2022 13:04:55 +0530

pjproject (2.5.5~dfsg-6+deb9u3) stretch-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2021-32686, CVE-2021-37706, CVE-2021-41141, CVE-2021-43299,
    CVE-2021-43300, CVE-2021-43301, CVE-2021-43302, CVE-2021-43303,
    CVE-2021-43804, CVE-2021-43845, CVE-2022-21722, CVE-2022-21723,
    CVE-2022-23608, CVE-2022-24754, CVE-2022-24764
  * New symbols pj_strtol2, pj_strtoul3, PJSIP_EINVAL_ERR_EXCEPTION

 -- Abhijith PA <abhijith@debian.org>  Wed, 02 Mar 2022 19:40:34 +0530

pjproject (2.5.5~dfsg-6+deb9u2) stretch-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2021-21375
    Due to bad handling of two consecutive crafted answers to an INVITE,
    the attacker is able to crash the server resulting in a denial of
    service.

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 22 Apr 2021 19:03:02 +0200

pjproject (2.5.5~dfsg-6+deb9u1) stretch-security; urgency=high

  [ Bernhard Schmidt ]
  * Fix various security issues
    - CVE-2017-16872: Overflow when parsing numeric fileds in SIP messages
    - CVE-2017-16875: Double key unregistration in ioqueue component
    - CVE-2018-1000098: Integer overflow in SDP parsing
      (also reported by the Asterisk project as AST-2018-002)
    - CVE-2018-1000099: Null Pointer vulnerability in pjmedia SDP parsing
      (also reported by the Asterisk project as AST-2018-003)
  * Fix resolution of DNS SRV targets that do not have an AAAA record
    (Closes: #881362)

 -- Bernhard Schmidt <berni@debian.org>  Tue, 03 Apr 2018 10:02:31 +0200

pjproject (2.5.5~dfsg-6) unstable; urgency=high

  [ Tzafrir Cohen ]
  * add security patches published by the Asterisk project
    - AST-2017-002: Buffer Overrun in PJSIP transaction layer
      (Closes: #863901)
    - AST-2017-003: Crash in PJSIP multi-part body parser
      (Closes: #863902)

 -- Bernhard Schmidt <berni@debian.org>  Fri, 02 Jun 2017 08:59:42 +0200

pjproject (2.5.5~dfsg-5) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * run dh_clean in clean target
  * Disable debug assertions as recommended for production builds

 -- Bernhard Schmidt <berni@debian.org>  Sun, 18 Dec 2016 22:32:19 +0100

pjproject (2.5.5~dfsg-4) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * Adjust previous changelog to fix lintian error
  * Bump all symbols minimum versions to force tighter dependencies
    (Closes: #847014)
  * Update debian/config_site.h with suggestions from Asterisk git
  * convert package from git-dpm to gbp pq

 -- Bernhard Schmidt <berni@debian.org>  Fri, 16 Dec 2016 14:53:12 +0100

pjproject (2.5.5~dfsg-3) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * Temporarily drop d-devlibdeps generated dependency on libssl-dev
    from libpjproject-dev
  * Add a couple of stability fixes collected by Asterisk
    (third_party/pjproject/patches), all present in pjproject trunk
    - asterisk-0001-r5397-pjsip_generic_array_max_count.patch
    - asterisk-0001-r5400-pjsip_tx_data_dec_ref.patch
    - Fix-1946-Avoid-deinitialization-of-uninitialized-cli.patch
    - asterisk-0002-r5435-add-pjsip_inv_session-ref_cnt.patch
    - asterisk-0003-r5403-pjsip_IPV6_V6ONLY.patch
    - resolver.c-Prevent-SERVFAIL-from-marking-name-server.patch
    - Re-1969-Fix-crash-on-using-an-already-destroyed-SSL.patch
    - r5471-svn-backport-Various-fixes-for-DNS-IPv6.patch
    - r5473-svn-backport-Fix-pending-query.patch
    - r5475-svn-backport-Remove-DNS-cache-entry.patch
    - r5477-svn-backport-Fix-DNS-write-on-freed-memory.patch
   This bunch of patches hopefully fixes #842878

 -- Bernhard Schmidt <berni@debian.org>  Thu, 10 Nov 2016 09:48:05 +0100

pjproject (2.5.5~dfsg-2) unstable; urgency=medium

  * explicitly build-depend on OpenSSL 1.0.2, see #828505

 -- Bernhard Schmidt <berni@debian.org>  Wed, 02 Nov 2016 14:32:51 +0100

pjproject (2.5.5~dfsg-1) unstable; urgency=medium

  * Add myself to uploaders
  * New upstream version 2.5.5~dfsg
    - d/copyright: Exclude third_party/yuv (unclear license)
    - d/copyright: drop third_party/portaudio not present anymore
  * disable libyuv
  * Update symbols file for new version
  * add Build-dep on liboss4-salsa-dev for kfreebsd-any

 -- Bernhard Schmidt <berni@debian.org>  Sun, 30 Oct 2016 20:34:11 +0100

pjproject (2.5.1~dfsg-4) unstable; urgency=medium

  * Update libpjsua2-2v5.symbols for 32-bit platforms


=== debian/rules ===
--- 
+++ 
@@ -11,13 +11,13 @@
 # existing directory 'build'. .PHONY doesn't seem to be good enough with
 # the wildcard target. Any better way?
 %:
-	dh $@ --with autotools_dev,python2,pkgkde_symbolshelper
+	dh $@ --with python2,pkgkde_symbolshelper
 build:
-	dh $@ --with autotools_dev,python2,pkgkde_symbolshelper
+	dh $@ --with python2,pkgkde_symbolshelper
 
-# In case it would be needed:
-#override_dh_autoreconf:
-#	dh_autoreconf autoconf aconfigure.ac >aconfigure
+override_dh_autoreconf:
+	dh_autoreconf autoconf aconfigure.ac >aconfigure
+	chmod +x aconfigure
 
 override_dh_auto_clean:
 	# Handle the case where the source tree is not configured.
@@ -26,6 +26,7 @@
 	# left-overs from the tests:
 	find tests/pjsua/ -name \*.pyc | xargs --no-run-if-empty rm
 	rm -rf tests/pjsua/logs/ tests/pjsua/wavs/
+	dh_clean
 
 override_dh_auto_configure:
 	cp debian/config_site.h pjlib/include/pj/
@@ -37,10 +38,10 @@
 	dh_auto_configure -- --enable-shared \
 		--disable-g7221-codec --disable-ilbc-codec --disable-resample \
 		--with-external-gsm --with-external-speex --with-external-pa \
-		--with-external-srtp --enable-video
+		--with-external-srtp --enable-video --disable-libyuv
 
 override_dh_auto_build:
-	dh_auto_build -- dep all
+	dh_auto_build --no-parallel -- dep all
 	$(pybuild)
 
 # selftest target takes too long. Parts of it may also require hardware.
@@ -81,14 +82,9 @@
 override_dh_shlibdeps:
 	dh_shlibdeps
 	d-devlibdeps \
-	  --override 's/libopencore-\(amr[nw]b\)[0-9]\+-dev/libopencore-\1-dev/' \
-	  --override 's/libSDL2-[0-9.-]\+-dev/libsdl2-dev/' \
-	  --override 's/lib\(avcodec\|avformat\|avutil\|swscale\)-ffmpeg[0-9]\+-dev/lib\1-dev/' \
-	  --override 's/libpj\(\|lib-util\|media\(\|-audiodev\|-codec\|-videodev\)\|nath\|sip\(\|-simple\|-ua\)\|sua\)2-dev/libpjproject-dev/' \
-	  --override 's/libportaudio2-dev/portaudio19-dev/' \
-	  --override 's/libspeexdsp1-dev/libspeexdsp-dev/' \
-	  --override 's/libv4l2-0-dev/libv4l-dev/' \
-	  --override 's/libsrtp0/libsrtp/' \
+	  --override 's/libopus0-dev/libopus-dev/' \
+	  --override 's/libssl-dev//' \
+	  --override 's/libvo-amrwbenc0-dev/libvo-amrwbenc-dev/' \
 	  debian/libpjproject-dev.substvars debian/lib*/usr/lib/*/lib*.so.*
 
 .PHONY: build

## pjproject 2.6~dfsg

=== debian/changelog ===
pjproject (2.6~dfsg-2) unstable; urgency=medium

  * Add libavdevice-dev to libpjproject-dev Depends
  * Reinclude libssl-dev dependency that was dropped during migration
  * Drop useless-autoreconf-build-depends

 -- Bernhard Schmidt <berni@debian.org>  Thu, 17 Aug 2017 20:07:09 +0200

pjproject (2.6~dfsg-1) unstable; urgency=medium

  * Release to unstable
  * change Standards-Version to 4.0.1, no changes necessary
  * add debian/gbp.conf for pristine-tar

 -- Bernhard Schmidt <berni@debian.org>  Tue, 15 Aug 2017 22:32:04 +0200

pjproject (2.6~dfsg-0+exp2) experimental; urgency=medium

  * Build with -Wl,--as-needed
    - disable unnecessary 0006-Reduce-linkage-of-unused-libraries.patch
    - also disable 0001-Remove-pointless-linking-with-libasound.patch
      breaking compilation
  * drop symbols for (largely unused) C++ library

 -- Bernhard Schmidt <berni@debian.org>  Sun, 06 Aug 2017 23:33:46 +0200

pjproject (2.6~dfsg-0+exp1) experimental; urgency=medium

  * New upstream version 2.6
    - dfsg: Exclude third_party/webrtc, not sure if distributable
    - Drop patches applied upstream
    - refresh remaining patches
    - update symbols
  * Disable webrtc build
  * Switch to OpenSSL 1.1.0 (Closes: #854583)

 -- Bernhard Schmidt <berni@debian.org>  Sat, 24 Jun 2017 22:38:54 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,12 @@
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>,
  Jonas Smedegaard <dr@jones.dk>,
- Tzafrir Cohen <tzafrir@debian.org>
+ Tzafrir Cohen <tzafrir@debian.org>,
+ Bernhard Schmidt <berni@debian.org>
 Build-Depends:
- autotools-dev,
- debhelper,
- dh-autoreconf,
+ debhelper (>= 10),
  dh-python,
- d-shlibs,
+ d-shlibs (>= 0.71~),
  libavcodec-dev,
  libavdevice-dev,
  libavformat-dev,
@@ -18,18 +17,21 @@
  libgsm1-dev,
  libopencore-amrnb-dev,
  libopencore-amrwb-dev,
+ libopus-dev,
+ liboss4-salsa-dev [kfreebsd-any],
  libsdl2-dev,
  libspeex-dev, libspeexdsp-dev,
  libsrtp-dev,
  libssl-dev,
  libswscale-dev,
  libv4l-dev [!hurd-any],
- libx264-dev,
+ libvo-amrwbenc-dev,
+ libwebrtc-audio-processing-dev,
  pkg-kde-tools,
  portaudio19-dev,
  python-dev,
  uuid-dev
-Standards-Version: 3.9.7
+Standards-Version: 4.0.1
 Homepage: http://www.pjsip.org/
 Vcs-Git: https://anonscm.debian.org/git/pkg-voip/pjproject.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/pjproject.git
@@ -209,6 +211,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}, ${devlibs:Depends},
+ libavdevice-dev,
  libpjlib-util2 (= ${binary:Version}),
  libpjmedia-audiodev2 (= ${binary:Version}),
  libpjmedia-codec2 (= ${binary:Version}),
@@ -220,7 +223,7 @@
  libpjsip2 (= ${binary:Version}),
  libpjsua2 (= ${binary:Version}),
  libpjsua2-2v5 (= ${binary:Version}),
- libpj2 (= ${binary:Version})
+ libpj2 (= ${binary:Version}),
 Description: PJ Project - development headers
  PJSIP (a.k.a PJProject) is a multimedia communication library written
  in C language implementing standard based protocols such as SIP, SDP,

=== debian/rules ===
--- 
+++ 
@@ -4,6 +4,8 @@
 # export _CXXFLAGS includes $(_CFLAGS)
 #CXXFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CXXFLAGS)
 export LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
+
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed
 
 pybuild = pybuild -d pjsip-apps/src/python --pyver 2.7
 
@@ -17,7 +19,6 @@
 
 override_dh_autoreconf:
 	dh_autoreconf autoconf aconfigure.ac >aconfigure
-	chmod +x aconfigure
 
 override_dh_auto_clean:
 	# Handle the case where the source tree is not configured.
@@ -38,7 +39,8 @@
 	dh_auto_configure -- --enable-shared \
 		--disable-g7221-codec --disable-ilbc-codec --disable-resample \
 		--with-external-gsm --with-external-speex --with-external-pa \
-		--with-external-srtp --enable-video --disable-libyuv
+		--with-external-srtp --enable-video --disable-libyuv \
+		--disable-libwebrtc
 
 override_dh_auto_build:
 	dh_auto_build --no-parallel -- dep all
@@ -83,7 +85,6 @@
 	dh_shlibdeps
 	d-devlibdeps \
 	  --override 's/libopus0-dev/libopus-dev/' \
-	  --override 's/libssl-dev//' \
 	  --override 's/libvo-amrwbenc0-dev/libvo-amrwbenc-dev/' \
 	  debian/libpjproject-dev.substvars debian/lib*/usr/lib/*/lib*.so.*

## pjproject 2.7.2~dfsg

=== pjsip-apps/build/Makefile ===
include ../../build.mak
include $(PJDIR)/build/common.mak

export LIBDIR := ../lib
export BINDIR := ../bin

RULES_MAK := $(PJDIR)/build/rules.mak


###############################################################################
# Gather all flags.
#
export _CFLAGS 	:= $(CC_CFLAGS) $(OS_CFLAGS) $(HOST_CFLAGS) $(M_CFLAGS) \
		   $(PJ_CFLAGS) $(CFLAGS) $(CC_INC)../../pjsip/include \
		   $(CC_INC)../../pjlib/include \
		   $(CC_INC)../../pjlib-util/include \
		   $(CC_INC)../../pjnath/include \
		   $(CC_INC)../../pjmedia/include
export _CXXFLAGS:= $(_CFLAGS) $(CC_CXXFLAGS) $(OS_CXXFLAGS) $(M_CXXFLAGS) \
		   $(HOST_CXXFLAGS) $(CXXFLAGS)
export _LDFLAGS := $(CC_LDFLAGS) $(OS_LDFLAGS) $(M_LDFLAGS) $(HOST_LDFLAGS) \
		   $(APP_LDFLAGS) $(APP_LDLIBS) $(LDFLAGS) 

###############################################################################
# Defines for building PJSUA
#
export PJSUA_SRCDIR = ../src/pjsua
export PJSUA_OBJS += $(OS_OBJS) $(M_OBJS) $(CC_OBJS) $(HOST_OBJS) \
            main.o pjsua_app.o pjsua_app_cli.o pjsua_app_common.o \
            pjsua_app_config.o pjsua_app_legacy.o
export PJSUA_CFLAGS += $(PJ_CFLAGS) $(CFLAGS)
export PJSUA_CXXFLAGS += $(PJ_CXXFLAGS) $(CFLAGS)
export PJSUA_LDFLAGS += $(PJ_LDFLAGS) $(PJ_LDLIBS) $(LDFLAGS)
export PJSUA_EXE:=pjsua-$(TARGET_NAME)$(HOST_EXE)


###############################################################################
# Defines for building pjsystest
#
export PJSYSTEST_SRCDIR = ../src/pjsystest
export PJSYSTEST_OBJS += $(OS_OBJS) $(M_OBJS) $(CC_OBJS) $(HOST_OBJS) \
			systest.o main_console.o
export PJSYSTEST_CFLAGS += $(PJ_CFLAGS) $(CFLAGS)
export PJSYSTEST_CXXFLAGS += $(PJ_CXXFLAGS) $(CFLAGS)
export PJSYSTEST_LDFLAGS += $(PJ_LDFLAGS) $(PJ_LDLIBS) $(LDFLAGS)
export PJSYSTEST_EXE:=pjsystest-$(TARGET_NAME)$(HOST_EXE)


export CC_OUT CC AR RANLIB HOST_MV HOST_RM HOST_RMDIR HOST_MKDIR OBJEXT LD LDOUT 

TARGETS := $(PJSUA_EXE) $(PJSYSTEST_EXE) samples

all: $(TARGETS)

swig:
	$(MAKE) -C ../src/swig
	
doc:

dep: depend
distclean: realclean

.PHONY: all dep depend clean realclean distclean
.PHONY: $(TARGETS)
.PHONY: $(PJSUA_EXE) $(PJSYSTEST_EXE)

pjsua: $(PJSUA_EXE)
$(PJSUA_EXE):
	$(MAKE) -f $(RULES_MAK) APP=PJSUA app=pjsua $(subst /,$(HOST_PSEP),$(BINDIR)/$@)
	@if echo "$(TARGET_NAME)" | grep -q "apple-darwin_ios$$"; then \
	  for F in $(filter %$(TARGET_NAME).a,$(PJ_LIBXX_FILES)); do \
	    if test -f $$F; then \
	      tmp=`echo $${F##*/} | sed -e "s/\-$(TARGET_NAME)\.a/.a/"`; \
	      ln -sf $$F ../src/pjsua/ios/$$tmp; \
	    fi; \
	  done; \
	fi;

pjsystest: $(PJSYSTEST_EXE)
$(PJSYSTEST_EXE):
	$(MAKE) -f $(RULES_MAK) APP=PJSYSTEST app=pjsystest $(subst /,$(HOST_PSEP),$(BINDIR)/$@)

samples:
	$(MAKE) -f Samples.mak

.PHONY: pjsua.ko
pjsua.ko:
	$(MAKE) -f $(RULES_MAK) APP=PJSUA app=pjsua $(subst /,$(HOST_PSEP),$(LIBDIR)/$@)

clean depend realclean:
	$(MAKE) -f $(RULES_MAK) APP=PJSUA app=pjsua $@
	$(MAKE) -f $(RULES_MAK) APP=PJSYSTEST app=pjsystest $@
	$(MAKE) -f Samples.mak $@
	@if test "$@" = "depend"; then \
	  echo '$(BINDIR)/$(PJSUA_EXE): $(APP_LIB_FILES)' >> .pjsua-$(TARGET_NAME).depend; \
	  echo '$(BINDIR)/$(PJSYSTEST_EXE): $(APP_LIB_FILES)' >> .pjsystest-$(TARGET_NAME).depend; \
	fi
	@if echo "$(TARGET_NAME)" | grep -q "apple-darwin_ios$$"; then \
	  for F in $(filter %$(TARGET_NAME).a,$(PJ_LIBXX_FILES)); do \
	    tmp=`echo $${F##*/} | sed -e "s/\-$(TARGET_NAME)\.a/.a/"`; \
	    rm -f ../src/pjsua/ios/$$tmp; \
	  done; \
	fi;

=== debian/changelog ===
pjproject (2.7.2~dfsg-1) unstable; urgency=medium

  * New upstream version, fixing two remote crashes
    - Crash when receiving SDP with invalid fmtp attribute
    - Crash when parsing SDP with an invalid media format description
  * Mark binary packages linux-any, FTBFSing on hurd/kfreebsd
  * Drop duplicate filter line in d/gbp.conf
  * Switch Vcs-* to salsa

 -- Bernhard Schmidt <berni@debian.org>  Sat, 24 Feb 2018 23:37:04 +0100

pjproject (2.7.1~dfsg-1) unstable; urgency=medium

  * New upstream release
    + Adjust symbols

 -- Bernhard Schmidt <berni@debian.org>  Thu, 09 Nov 2017 23:20:17 +0100

pjproject (2.7~dfsg-1) unstable; urgency=medium

  [ Bernhard Schmidt ]
  * New upstream release
    + Repack with Jonas' updated copyright information (Closes: #877365)
    + Drop security patches applied upstream
    + Update symbols
  * Switch to libsrtp2
    + add Breaks against Asterisk built with libsrtp0
  * Change section of libraries to "libs", silencing lintian
  * Declare Standards-Version 4.1.1, no changes necessary
  * Enable all hardening

  [ Jonas Smedegaard ]
  * Update copyright info:
    + Use (derived form of) SPDX license shortname Rdisc.
    + Use https protocol in format URL.
    + Normalize http URLs.
    + Use License-Grant and License-Reference fields.
    + Fix list pjlib/src/pj/compat/longjmp_i386.S as licensed LGPL-2+
      (not LGPL-2.1+).
    + Fix cover files licensed FSFUL NTP Ms-PL Expat.
    + Fix cover file licensed BSD-4-clause and GPL-2+ (not only GPL-2+).
    + Fix remove files listed as stripped from source repackaging but
      not existing in upstream source:
      - third_party/yuv
      - third_party/webrtc.
    + Rewrite notes on files stripped from repackaged source.
    + Fix strip more files when repackaging source:
      - Non-DFSG-free ApiLock.*.
      - Copyright-protected graphics ICC profiles without DFSG-free
        license.
      - Binary Java files potentially with non-free parts.
    + Rewrite maintainer script copyright-check.

 -- Bernhard Schmidt <berni@debian.org>  Thu, 05 Oct 2017 23:31:13 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: pjproject
-Section: comm
+Section: libs
 Priority: optional
 Maintainer: Debian VoIP Team <pkg-voip-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Lainé <jeremy.laine@m4x.org>,
@@ -21,7 +21,7 @@
  liboss4-salsa-dev [kfreebsd-any],
  libsdl2-dev,
  libspeex-dev, libspeexdsp-dev,
- libsrtp-dev,
+ libsrtp2-dev,
  libssl-dev,
  libswscale-dev,
  libv4l-dev [!hurd-any],
@@ -31,13 +31,13 @@
  portaudio19-dev,
  python-dev,
  uuid-dev
-Standards-Version: 4.0.1
+Standards-Version: 4.1.1
 Homepage: http://www.pjsip.org/
-Vcs-Git: https://anonscm.debian.org/git/pkg-voip/pjproject.git
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-voip/pjproject.git
+Vcs-Git: https://salsa.debian.org/pkg-voip-team/pjproject.git
+Vcs-Browser: https://salsa.debian.org/pkg-voip-team/pjproject
 
 Package: libpjlib-util2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - helper utilities
@@ -51,7 +51,7 @@
  This package includes helper utilities for the PJ Project libraries.
 
 Package: libpjmedia-audiodev2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - Audio devices
@@ -65,7 +65,7 @@
  This package includes an audio devices handling library.
 
 Package: libpjmedia-codec2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - Multimedia codecs handling
@@ -79,7 +79,7 @@
  This package includes a multimedia codecs handling library.
 
 Package: libpjmedia-videodev2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: SIP handling library - video devices
@@ -93,7 +93,7 @@
  This package includes a video devices handling library.
 
 Package: libpjmedia2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - VoIP media
@@ -107,7 +107,7 @@
  This package includes a VoIP media handling library.
 
 Package: libpjnath2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - NAT handling
@@ -121,7 +121,7 @@
  This package includes a NAT handling library.
 
 Package: libpjsip-simple2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - SIP SIMPLE instant messaging
@@ -135,7 +135,7 @@
  This package includes a SIP SIMPLE Instant Messaging library.
 
 Package: libpjsip-ua2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: SIP handling library - SIP user agent library
@@ -149,9 +149,10 @@
  This package includes a SIP user agent handling library
 
 Package: libpjsip2
-Architecture: any
-Multi-Arch: same
-Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
+Architecture: linux-any
+Multi-Arch: same
+Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
+Breaks: asterisk (<< 1:13.17.2~dfsg-2~)
 Description: PJ Project - SIP handling library
  PJSIP (a.k.a PJProject) is a multimedia communication library written
  in C language implementing standard based protocols such as SIP, SDP,
@@ -163,7 +164,7 @@
  This package includes a SIP handling library.
 
 Package: libpjsua2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - Basic VoIP client library
@@ -177,7 +178,7 @@
  This package includes a framework for a VoIP client (pjsua)
 
 Package: libpjsua2-2v5
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Breaks: libpjsua2-2
 Replaces: libpjsua2-2
@@ -193,7 +194,7 @@
  This package includes version 2 of a framework for a VoIP client (pjsua2).
 
 Package: libpj2
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}
 Description: PJ Project - PJProject core libraries
@@ -207,7 +208,7 @@
  This package includes the PJ Project core libraries.
 
 Package: libpjproject-dev
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: libdevel
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}, ${devlibs:Depends},
@@ -235,7 +236,7 @@
  This package includes the development headers for PJ Project.
 
 Package: python-pjproject
-Architecture: any
+Architecture: linux-any
 Multi-Arch: same
 Section: python
 Depends: ${misc:Depends}, ${misc:Pre-Depends}, ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 export CFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS; dpkg-buildflags --get CFLAGS)
 # export _CXXFLAGS includes $(_CFLAGS)
@@ -86,6 +88,7 @@
 	d-devlibdeps \
 	  --override 's/libopus0-dev/libopus-dev/' \
 	  --override 's/libvo-amrwbenc0-dev/libvo-amrwbenc-dev/' \
+	  --override 's/libsrtp2-1-dev/libsrtp2-dev/' \
 	  debian/libpjproject-dev.substvars debian/lib*/usr/lib/*/lib*.so.*
 
 .PHONY: build

=== debian/watch ===
version=3
opts=repacksuffix=~dfsg,dversionmangle=s/\~dfsg\d*$// \
	http://www.pjsip.org/download.htm /release/.*/pjproject-(.*).tar.bz2
